#ifdef USE_PCH
 #include "pch.h"
#else
 #include "sitecing/cgi_component.h"
#endif

namespace sitecing {

    cgi_component::cgi_component()
	: __CGI(NULL) {
	}
    cgi_component::~cgi_component() {
    }

    void cgi_component::__set_interface(sitecing_interface* scif) {
	acomponent::__set_interface(scif);
	kingate::cgi_gateway *oc = __CGI;
	__CGI = __SCIF?__SCIF->cgigw:NULL;
	if(__CGI!=oc)
	    __on_change_CGI(oc);
    }
    void cgi_component::__on_change_interface(sitecing_interface *o) {
	acomponent::__on_change_interface(o); // But it's a no-op
	// TODO: do something about runtime type check, maybe?
	__SCIF = (sitecing_interface_cgi*)acomponent::__SCIF;
    }
    void cgi_component::__on_change_CGI(kingate::cgi_gateway *o) { }
    void cgi_component::__on_imports() { }
 
}
